Eclipse Remote Application Platform

## org.eclipse.swt.widgets
Class ToolItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.widgets.ToolItem

All Implemented Interfaces:
  Adaptable

    public class ToolItem

extends Item

Instances of this class represent a selectable user interface object that represents a button in a tool bar.

Styles:
  PUSH, CHECK, RADIO, SEPARATOR, DROP_DOWN
Events:
  Selection

Note: Only one of the styles CHECK, PUSH, RADIO, SEPARATOR and DROP_DOWN may be specified.

IMPORTANT: This class is not intended to be subclassed.

Constructor Summary
`ToolItem(ToolBar parent, int style)` Constructs a new instance of this class given its parent (which must be a `ToolBar`) and a style value describing its behavior and appearance.
`ToolItem(ToolBar parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `ToolBar`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

Method Summary
`void` `addSelectionListener(SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the control is selected, by sending it one of the messages defined in the `SelectionListener` interface.

`

`<T> T`

`

`getAdapter(java.lang.Class<T> adapter)`
Implementation of the `Adaptable` interface.

`Rectangle` `getBounds()` Returns a rectangle describing the receiver's size and location relative to its parent.
`Control` `getControl()` Returns the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.
`Image` `getDisabledImage()` Returns the receiver's disabled image if it has one, or null if it does not.
`boolean` `getEnabled()` Returns `true` if the receiver is enabled, and `false` otherwise.
`Image` `getHotImage()` Returns the receiver's hot image if it has one, or null if it does not.
`ToolBar` `getParent()` Returns the receiver's parent, which must be a `ToolBar`.
`boolean` `getSelection()` Returns `true` if the receiver is selected, and false otherwise.
`java.lang.String` `getToolTipText()` Returns the receiver's tool tip text, or null if it has not been set.
`int` `getWidth()` Gets the width of the receiver.
`boolean` `isEnabled()` Returns `true` if the receiver is enabled and all of the receiver's ancestors are enabled, and `false` otherwise.
`void` `removeSelectionListener(SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the control is selected.
`void` `setControl(Control control)` Sets the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.
`void` `setData(java.lang.String key, java.lang.Object value)` Sets the application defined property of the receiver with the specified name to the given value.
`void` `setDisabledImage(Image image)` Sets the receiver's disabled image to the argument, which may be null indicating that no disabled image should be displayed.
`void` `setEnabled(boolean enabled)` Enables the receiver if the argument is `true`, and disables it otherwise.
`void` `setHotImage(Image image)` Sets the receiver's hot image to the argument, which may be null indicating that no hot image should be displayed.
`void` `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` `setSelection(boolean selected)` Sets the selection state of the receiver.
`void` `setText(java.lang.String text)` Sets the receiver's text.
`void` `setToolTipText(java.lang.String toolTipText)` Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.
`void` `setWidth(int width)` Sets the width of the receiver, for `SEPARATOR` ToolItems.

Methods inherited from class org.eclipse.swt.widgets.Item
`getImage, getText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolItem

    public ToolItem(ToolBar parent,
                    int style)

  Constructs a new instance of this class given its parent (which must be a `ToolBar`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

  Parameters:
    `parent` - a composite control which will be the parent of the new instance (cannot be null)
    `style` - the style of control to construct
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the parent is null
    `SWTException` -
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
    - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
  See Also:
    `SWT.PUSH`, `SWT.CHECK`, `SWT.RADIO`, `SWT.SEPARATOR`, `SWT.DROP_DOWN`, `Widget.checkSubclass()`, `Widget.getStyle()`

### ToolItem

    public ToolItem(ToolBar parent,
                    int style,
                    int index)

  Constructs a new instance of this class given its parent (which must be a `ToolBar`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

  Parameters:
    `parent` - a composite control which will be the parent of the new instance (cannot be null)
    `style` - the style of control to construct
    `index` - the zero-relative index to store the receiver in its parent
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the parent is null
    - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the parent (inclusive)
    `SWTException` -
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
    - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
  See Also:
    `SWT.PUSH`, `SWT.CHECK`, `SWT.RADIO`, `SWT.SEPARATOR`, `SWT.DROP_DOWN`, `Widget.checkSubclass()`, `Widget.getStyle()`

Method Detail

### getParent

    public ToolBar getParent()

  Returns the receiver's parent, which must be a `ToolBar`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(java.lang.String text)

  Sets the receiver's text. The string may include the mnemonic character.

  Mnemonics are indicated by an '&' that causes the next character to be the mnemonic. When the user presses a key sequence that matches the mnemonic, a selection event occurs. On most platforms, the mnemonic appears underlined but may be emphasised in a platform specific manner. The mnemonic indicator character '&' can be escaped by doubling it in the string, causing a single '&' to be displayed.

  Overrides:
    `setText` in class `Item`
  Parameters:
    `text` - the new text
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the text is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setImage

    public void setImage(Image image)

  Description copied from class: `Item`
  Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

  Overrides:
    `setImage` in class `Item`
  Parameters:
    `image` - the image to display on the receiver (may be null)

### setDisabledImage

    public void setDisabledImage(Image image)

  Sets the receiver's disabled image to the argument, which may be null indicating that no disabled image should be displayed.

  The disabled image is displayed when the receiver is disabled.

  Parameters:
    `image` - the disabled image to display on the receiver (may be null)
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the image has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### getDisabledImage

    public Image getDisabledImage()

  Returns the receiver's disabled image if it has one, or null if it does not.

  The disabled image is displayed when the receiver is disabled.

  Returns:
    the receiver's disabled image
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### setHotImage

    public void setHotImage(Image image)

  Sets the receiver's hot image to the argument, which may be null indicating that no hot image should be displayed.

  The hot image is displayed when the mouse enters the receiver.

  Parameters:
    `image` - the hot image to display on the receiver (may be null)
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the image has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### getHotImage

    public Image getHotImage()

  Returns the receiver's hot image if it has one, or null if it does not.

  The hot image is displayed when the mouse enters the receiver.

  Returns:
    the receiver's hot image
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### setControl

    public void setControl(Control control)

  Sets the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.

  Parameters:
    `control` - the new control
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the control has been disposed
    - ERROR_INVALID_PARENT - if the control is not in the same widget tree
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getControl

    public Control getControl()

  Returns the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.

  Returns:
    the control
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setToolTipText

    public void setToolTipText(java.lang.String toolTipText)

  Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

  Parameters:
    `toolTipText` - the new tool tip text (or null)
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getToolTipText

    public java.lang.String getToolTipText()

  Returns the receiver's tool tip text, or null if it has not been set.

  Returns:
    the receiver's tool tip text
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setData

    public void setData(java.lang.String key,
                        java.lang.Object value)

  Description copied from class: `Widget`
  Sets the application defined property of the receiver with the specified name to the given value.

  Applications may associate arbitrary objects with the receiver in this fashion. If the objects stored in the properties need to be notified when the widget is disposed of, it is the application's responsibility to hook the Dispose event on the widget and do so.

  Overrides:
    `setData` in class `Widget`
  Parameters:
    `key` - the name of the property
    `value` - the new value for the property
  See Also:
    `Widget.getData(String)`

### setEnabled

    public void setEnabled(boolean enabled)

  Enables the receiver if the argument is `true`, and disables it otherwise.

  A disabled control is typically not selectable from the user interface and draws with an inactive or "grayed" look.

  Parameters:
    `enabled` - the new enabled state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getEnabled

    public boolean getEnabled()

  Returns `true` if the receiver is enabled, and `false` otherwise. A disabled control is typically not selectable from the user interface and draws with an inactive or "grayed" look.

  Returns:
    the receiver's enabled state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `isEnabled()`

### isEnabled

    public boolean isEnabled()

  Returns `true` if the receiver is enabled and all of the receiver's ancestors are enabled, and `false` otherwise. A disabled control is typically not selectable from the user interface and draws with an inactive or "grayed" look.

  Returns:
    the receiver's enabled state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `getEnabled()`

### getBounds

    public Rectangle getBounds()

  Returns a rectangle describing the receiver's size and location relative to its parent.

  Returns:
    the receiver's bounding rectangle
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getWidth

    public int getWidth()

  Gets the width of the receiver.

  Returns:
    the width
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setWidth

    public void setWidth(int width)

  Sets the width of the receiver, for `SEPARATOR` ToolItems.

  Parameters:
    `width` - the new width
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getSelection

    public boolean getSelection()

  Returns `true` if the receiver is selected, and false otherwise.

  When the receiver is of type `CHECK` or `RADIO`, it is selected when it is checked (which some platforms draw as a pushed in button). If the receiver is of any other type, this method returns false.

  Returns:
    the selection state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setSelection

    public void setSelection(boolean selected)

  Sets the selection state of the receiver.

  When the receiver is of type `CHECK` or `RADIO`, it is selected when it is checked (which some platforms draw as a pushed in button).

  Parameters:
    `selected` - the new selection state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

  Adds the listener to the collection of listeners who will be notified when the control is selected, by sending it one of the messages defined in the `SelectionListener` interface.

  When `widgetSelected` is called when the mouse is over the arrow portion of a drop-down tool, the event object detail field contains the value `SWT.ARROW`. `widgetDefaultSelected` is not called.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`, `SelectionEvent`

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

  Removes the listener from the collection of listeners who will be notified when the control is selected.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

### getAdapter

    public <T> T getAdapter(java.lang.Class<T> adapter)

  Description copied from class: `Widget`
  Implementation of the `Adaptable` interface.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

  Specified by:
    `getAdapter` in interface `Adaptable`
  Overrides:
    `getAdapter` in class `Widget`
  Parameters:
    `adapter` - the lookup class
  Returns:
    an object that can be cast to the given class or `null` if there is no adapter associated with the given class.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0